<?php

namespace App\Tests\Event\Object;

use App\Entity\Account;
use App\Event\Object\EventAdminDeleted;
use PHPUnit\Framework\Attributes\AllowMockObjectsWithoutExpectations;
use PHPUnit\Framework\TestCase;

#[AllowMockObjectsWithoutExpectations]
class EventAdminDeletedTest extends TestCase
{
    public function testGetters()
    {
        $account = $this->createMock(Account::class);
        $requestedAccount = $this->createMock(Account::class);

        $event = new EventAdminDeleted($account, $requestedAccount);

        $this->assertSame($account, $event->getAccount());
        $this->assertSame($requestedAccount, $event->getRequestedAccount());
    }
}
